# $Id: $

pimp_sources = \
	AssemblyInfo.cs \
	Main.cs \
	AboutWindow.cs \
	MainWindow.cs \
	OpenFile.cs \
	NewFile.cs \
	PictureView.cs \
	SaveFile.cs \
	ToolBox.cs \
	gtk-gui/generated.cs \
	gtk-gui/ThePimp.AboutWindow.cs \
	gtk-gui/ThePimp.MainWindow.cs \
	gtk-gui/ThePimp.OpenFile.cs \
	gtk-gui/ThePimp.NewFile.cs \
	gtk-gui/ThePimp.PictureView.cs \
	gtk-gui/ThePimp.SaveFile.cs \
	gtk-gui/ThePimp.ToolBox.cs

pimp_resources = \
	gtk-gui/gui.stetic \
	gtk-gui/objects.xml \
	images/about.png

image_sources = \
	images/about.svg

if USE_CSHARP
if USE_GTKSHARP
bin_SCRIPTS = Pimp.exe
endif
endif

EXTRA_DIST = $(pimp_sources) $(pimp_resources) $(image_sources)

Pimp.exe: ../pipi-sharp/pipi-sharp.dll $(pimp_sources) $(pimp_resources)
	cp ../pipi-sharp/pipi-sharp.dll .
	cp ../pipi-sharp/pipi-sharp.dll.config .
	cp ../pipi-sharp/pipi-sharp.dll.mdb .
	$(GMCS) -debug -out:$@ -lib:./ \
	  $(addprefix $(srcdir)/, $(pimp_sources)) \
	  $(foreach x, $(pimp_resources), \
	               -resource:$(srcdir)/$x,ThePimp.$(subst /,.,$x)) \
	  -pkg:gtk-sharp-2.0 -r:Mono.Posix -r:pipi-sharp.dll

clean-local:
	rm -f pipi-sharp.dll.config
	rm -f *.exe *.dll *.mdb

